Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeAnimatedMesh Class Reference

`#include <deAnimatedMesh.hpp>`

Inheritance diagram for IdeAnimatedMesh:

[legend]
Collaboration diagram for IdeAnimatedMesh:

[legend]
List of all members.

## Public Member Functions
virtual IdeVertexBuffer * | GetVBuffer ()=0
virtual IdeVertexBuffer * | GetVBuffer (float Time)=0
virtual IdeRenderTexture * | GetTexture (IdeDriver *pDriver)=0
virtual int | GetNumFrames ()=0
virtual int | GetNumVerts ()=0
virtual int | GetNumTriangles ()=0
virtual int | GetNumSkins ()=0
virtual int | GetFrameSize ()=0
virtual int | GetNumTexCoords ()=0
virtual int | GetCurrentFrame ()=0
virtual int | GetNextFrame ()=0
virtual float | GetInterpolation ()=0
virtual char * | GetSkinName (int index)=0
virtual void | SetAnimSpeed (float FramesPerSec)=0
virtual deBoolean | SetCurrentAnim (const char *AnimName)=0
virtual deBoolean | SetCurrentAnim (int AnimNum)=0
virtual float | GetAnimSpeed ()=0
virtual int | GetCurrentAnim ()=0
virtual void | SetCurrentFrame (int frame)=0
virtual void | SetNextFrame (int frame)=0
virtual void | SetTexture (const char *filename)=0
virtual void | SetTexture (IdeBitmapProxy *tex)=0
## Protected Member Functions
virtual | ~IdeAnimatedMesh ()

## Constructor & Destructor Documentation

virtual IdeAnimatedMesh::~IdeAnimatedMesh | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual float IdeAnimatedMesh::GetAnimSpeed | ( |  | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual int IdeAnimatedMesh::GetCurrentAnim | ( |  | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual int IdeAnimatedMesh::GetCurrentFrame | ( |  | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual int IdeAnimatedMesh::GetFrameSize | ( |  | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual float IdeAnimatedMesh::GetInterpolation | ( |  | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual int IdeAnimatedMesh::GetNextFrame | ( |  | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual int IdeAnimatedMesh::GetNumFrames | ( |  | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual int IdeAnimatedMesh::GetNumSkins | ( |  | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual int IdeAnimatedMesh::GetNumTexCoords | ( |  | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual int IdeAnimatedMesh::GetNumTriangles | ( |  | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual int IdeAnimatedMesh::GetNumVerts | ( |  | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual char* IdeAnimatedMesh::GetSkinName | ( | int | index | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual IdeRenderTexture* IdeAnimatedMesh::GetTexture | ( | IdeDriver * | pDriver | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual IdeVertexBuffer* IdeAnimatedMesh::GetVBuffer | ( | float | Time | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual IdeVertexBuffer* IdeAnimatedMesh::GetVBuffer | ( |  | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual void IdeAnimatedMesh::SetAnimSpeed | ( | float | FramesPerSec | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual deBoolean IdeAnimatedMesh::SetCurrentAnim | ( | int | AnimNum | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual deBoolean IdeAnimatedMesh::SetCurrentAnim | ( | const char * | AnimName | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual void IdeAnimatedMesh::SetCurrentFrame | ( | int | frame | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual void IdeAnimatedMesh::SetNextFrame | ( | int | frame | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual void IdeAnimatedMesh::SetTexture | ( | IdeBitmapProxy * | tex | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

virtual void IdeAnimatedMesh::SetTexture | ( | const char * | filename | ) | `[pure virtual]`

| Implemented in deAnimatedMesh.

The documentation for this class was generated from the following file:

- deAnimatedMesh.hpp